.navbar {
  border-bottom: 1px solid #eee;
  padding: 1.5rem 0;
  width: 100%;
  box-shadow: 0 0.5rem 1rem rgba(0, 0, 0, 0.08);
  z-index: 100;
}

.nav {
  list-style: none;
  display: flex;

  &__item {
    text-transform: uppercase;
    cursor: pointer;
    font-size: 1.6rem;
    position: relative;
    margin-right: 1rem;

    a:link,
    a:visited {
      text-decoration: none;
      color: black;
      padding: 0.8rem 1.6rem;
      display: inline-block;
    }

    &::before {
      content: "";
      background-color: blue;
      position: absolute;
      transition: all 0.35s;
      transform-origin: left;
      bottom: 0;
      left: 0;
      height: 2px;
      width: 0;
    }

    &:hover::before {
      width: 100%;
    }
  }
}

.active::before {
  content: "";
  background-color: blue;
  position: absolute;
  transition: all 0.35s;
  transform-origin: left;
  bottom: 0;
  left: 0;
  height: 2px;
  width: 100%;
}
